Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Reactor_Notification_Strategy Class Reference

Used to notify an ACE_Reactor. More...

`#include <Reactor_Notification_Strategy.h>`

Inheritance diagram for ACE_Reactor_Notification_Strategy:

[legend]
Collaboration diagram for ACE_Reactor_Notification_Strategy:

[legend]
List of all members.

## Public Methods
| ACE_Reactor_Notification_Strategy (ACE_Reactor *reactor, ACE_Event_Handler *eh, ACE_Reactor_Mask mask)
virtual | ~ACE_Reactor_Notification_Strategy (void)
| Default dtor. More...
virtual int | notify (void)
virtual int | notify (ACE_Event_Handler *, ACE_Reactor_Mask mask)
ACE_Reactor * | reactor (void)
| Get the reactor. More...
void | reactor (ACE_Reactor *r)
| Set the reactor. More...
## Protected Attributes
ACE_Reactor * | reactor_
| The Reactor. More...

## Detailed Description

Used to notify an ACE_Reactor.

Integrates the <ACE_Message_Queue> notification into the <ACE_Reactor::notify> method.

## Constructor & Destructor Documentation

ACE_Reactor_Notification_Strategy::ACE_Reactor_Notification_Strategy | ( | ACE_Reactor * | reactor,
|  | ACE_Event_Handler * | eh,
|  | ACE_Reactor_Mask | mask
| ) |

ACE_Reactor_Notification_Strategy::~ACE_Reactor_Notification_Strategy | ( | void |  | ) | `[virtual]`

| Default dtor.

## Member Function Documentation

int ACE_Reactor_Notification_Strategy::notify | ( | ACE_Event_Handler * | eh,
|  | ACE_Reactor_Mask | mask
| ) | `[virtual]`

| Reimplemented from ACE_Notification_Strategy.

int ACE_Reactor_Notification_Strategy::notify | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Notification_Strategy.

ACE_INLINE void ACE_Reactor_Notification_Strategy::reactor | ( | ACE_Reactor * | r | ) |

| Set the reactor.

ACE_INLINE ACE_Reactor * ACE_Reactor_Notification_Strategy::reactor | ( | void |  | ) |

| Get the reactor.

## Member Data Documentation

ACE_Reactor* ACE_Reactor_Notification_Strategy::reactor_`[protected]`

| The Reactor.

The documentation for this class was generated from the following files:

- Reactor_Notification_Strategy.h
- Reactor_Notification_Strategy.cpp
- Reactor_Notification_Strategy.inl